Skip to main content
POST
/
api
/
v2
/
inbox-placement-analytics
/
deliverability-insights
Retrieve inbox placement analytics deliverability insights
curl --request POST \
  --url https://api.instantly.ai/api/v2/inbox-placement-analytics/deliverability-insights \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "test_id": "019e3bd1-b5a4-75e6-a9d0-11344dae8f1e"
}
'
[
  {
    "test_id": "019e3bd1-b5a4-75e6-a9d0-113519cd40c7",
    "from": "2024-01-01",
    "to": "2024-01-01",
    "previous_from": "2023-01-01",
    "previous_to": "2023-01-01",
    "sender_esp": 1,
    "recipient_esp": 1,
    "spam_percentage": 10,
    "inbox_percentage": 20,
    "category_percentage": 70,
    "prev_spam_percentage": 10,
    "prev_inbox_percentage": 56.67,
    "prev_category_percentage": 33.33
  }
]

Documentation Index

Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
test_id
string<uuid>
required
Example:

"019e3bd1-b5a4-75e6-a9d0-11344dae8f1e"

date_from
string
Example:

"2026-05-18T16:00:59.812Z"

date_to
string
Example:

"2026-05-18T16:00:59.812Z"

previous_date_from
string
Example:

"2026-05-18T16:00:59.812Z"

previous_date_to
string
Example:

"2026-05-18T16:00:59.812Z"

show_previous
boolean
Example:

true

recipient_geo
enum<number>[]
Available options:
1,
2,
3,
4
Example:
[1]
recipient_type
enum<number>[]
Available options:
1,
2
Example:
[1]
recipient_esp
enum<number>[]
Available options:
1,
2,
12,
13
Example:
[1, 2]

Response

Default Response

test_id
string<uuid>
Example:

"019e3bd1-b5a4-75e6-a9d0-113519cd40c7"

from
null | string
Example:

"2024-01-01"

to
null | string
Example:

"2024-01-01"

previous_from
null | string
Example:

"2023-01-01"

previous_to
null | string
Example:

"2023-01-01"

sender_esp
enum<number>
Available options:
1,
2,
12,
13
Example:

1

recipient_esp
enum<number>
Available options:
1,
2,
12,
13
Example:

1

spam_percentage
null | number
Example:

10

inbox_percentage
null | number
Example:

20

category_percentage
null | number
Example:

70

prev_spam_percentage
null | number
Example:

10

prev_inbox_percentage
null | number
Example:

56.67

prev_category_percentage
null | number
Example:

33.33